public class Clock {

	int hours;
	int minutes;
	int seconds;
	boolean am;

	public Clock(int hours, int minutes, int seconds, boolean am) {
		this.hours = hours;
		this.minutes = minutes;
		this.seconds = seconds;
		this.am = am;
	}

	public Clock(int hours, int minutes, int seconds) {
		if (hours == 0) {
			this.hours = 12;
			am = true;
		}
		else if (hours > 0 && hours < 12) {
			this.hours = hours;
			am = true;
		}
		else if (hours == 12) {
			this.hours = 12;
			am = false;
		}
		else {
			this.hours = hours - 12;
			am = false;
		}

		this.minutes = minutes;
		this.seconds = seconds;
	}

	public boolean isLunchTime() {
		if (am && hours >= 11 && minutes >= 30) {
			return true;
		}
		else if (!am && (hours == 12 || hours == 1)) {
			return true;
		}
		else {
			return false;
		}
	}

	public boolean isAfter(Clock c) {
		if (am && !c.am) {
			return false;
		}
		else if (!am && c.am) {
			return true;
		}
		else if (hours < c.hours) {
			return false;
		}
		else if (hours > c.hours) {
			return true;
		}
		else if (minutes < c.minutes) {
			return false;
		}
		else if (minutes > c.minutes) {
			return true;
		}
		else if (seconds < c.seconds) {
			return false;
		}
		else if (seconds > c.seconds) {
			return true;
		}
		else {
			return false;
		}
	}

	public String toString() {
		String returnValue;

		if (hours < 10) {
			returnValue = "0" + hours;
		}
		else {
			returnValue = Integer.toString(hours);
		}

		returnValue = returnValue + ":";

		if (minutes < 10) {
			returnValue = returnValue + "0" + minutes;
		}
		else {
			returnValue = returnValue + minutes;
		}

		returnValue = returnValue + ":";

		if (seconds < 10) {
			returnValue = returnValue + "0" + seconds;
		}
		else {
			returnValue = returnValue + seconds;
		}

		if (am) {
			returnValue = returnValue + " a.m.";
		}
		else {
			returnValue = returnValue + " p.m.";
		}

		return returnValue;

	}

}
